Subject: Re: [E1000-devel] e1000: backport ich9 support from 7.5.5 ?

From: "Kok, Auke" <[email-masked]>
Date: Fri, 29 Jun 2007 19:34:19 -0700

Jim McCullough wrote:
> It goes back to ICH7 for the PCIe support.  That also includes models used
> as plugin PCIe devices.  I dont remember if ICH6 erra devices were PCI or
> PCIe.  I'll leave that part for Auke.
> 
> On 6/29/07, Jeff Garzik <[email-masked]> wrote:
>> Andrew Grover wrote:
>>> I think making e1000new ICH9-and-newer isn't really the best place to
>>> split it. The Windows e1000 driver got split on the PCI->PCIe
>>> transition, something that clearly delineated what nics one driver
>>> supported, and the other. There's no real technical reason for
>>> splitting now other than "this was when e1000old collapsed under its
>>> own weight".
>>>
>>> The PCIe adapters are also the first ones to support multiple queues
>>> IIRC, maybe that would be an another actual technical reason to split
>>> it there?
>> Can knowledgeable people characterize the PCIe adapters somehow?  Is
>> that "ICH8-era and later", or does it go back further than that?

ich7 and 6 are sold with various on-board NICs, often pre-pcie e1000 silicon 
like 82547 and 82546. Some newer models (lenovo, toshiba) laptops pack 82573, 
but basically ich chipsets before ich8 did not have an in-chipset MAC, so they 
are irrelevant for this story.

only es2lan, ich8 and ich9 have true on-board MAC's.

Auke